Bug 630373 - SELinux empêche l'accès en « signal » à /bin/systemctl
SELinux empêche l'accès en « signal » à /bin/systemctl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:da6b67febb3...
:
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-09-05 02:32 EDT by Nicolas Mailhot
Modified: 2010-09-10 23:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.9.3-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-10 23:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2010-09-05 02:32:14 EDT
Résumé:

SELinux empêche l'accès en « signal » à /bin/systemctl

Description détaillée:

[SELinux est en mode permissif. Cet accès n'a pas été refusé.]

SELinux a refusé l'accès demandé par telinit. Il n'est pas prévu que cet accès
soit requis par telinit et cet accès peut signaler une tentative d'intrusion. Il
est également possible que cette version ou cette configuration spécifique de
l'application provoque cette demande d'accès supplémenta

Autoriser l'accès:

Vous pouvez créer un module de stratégie locale pour autoriser cet accès - lisez
la FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Merci de
remplir un rapport de bogue.

Informations complémentaires:

Contexte source               system_u:system_r:prelink_cron_system_t:s0-s0:c0.c
                              1023
Contexte cible                system_u:system_r:init_t:s0
Objets du contexte            None [ process ]
source                        telinit
Chemin de la source           /bin/systemctl
Port                          <Inconnu>
Hôte                          (supprimé)
Paquetages RPM source         systemd-units-9-3.fc14
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.9.2-1.fc14
Selinux activé                True
Type de politique             targeted
Mode strict                   Permissive
Nom du plugin                 catchall
Nom de l'hôte                 (supprimé)
Plateforme                    Linux arekh.okg 2.6.35.4-18.fc14.x86_64 #1 SMP Thu
                              Sep 2 21:30:27 UTC 2010 x86_64 x86_64
Compteur d'alertes            1
Première alerte               dim. 05 sept. 2010 03:53:25 CEST
Dernière alerte               dim. 05 sept. 2010 03:53:25 CEST
ID local                      9cd4794f-d31f-4467-b8c3-8b2b0497e6bc
Numéros des lignes            

Messages d'audit bruts        

node=arekh.okg type=AVC msg=audit(1283651605.882:609): avc:  denied  { signal } for  pid=29933 comm="telinit" scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:system_r:init_t:s0 tclass=process

node=arekh.okg type=SYSCALL msg=audit(1283651605.882:609): arch=c000003e syscall=62 success=yes exit=0 a0=1 a1=f a2=1 a3=0 items=0 ppid=23019 pid=29933 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=60 comm="telinit" exe="/bin/systemctl" subj=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,telinit,prelink_cron_system_t,init_t,process,signal
audit2allow suggests:

#============= prelink_cron_system_t ==============
allow prelink_cron_system_t init_t:process signal;
Comment 1 Daniel Walsh 2010-09-07 15:51:29 EDT
Fixed in selinux-policy-3.9.3-1.fc14
Comment 2 Fedora Update System 2010-09-08 14:41:24 EDT
selinux-policy-3.9.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.3-1.fc14
Comment 3 Fedora Update System 2010-09-09 00:12:05 EDT
selinux-policy-3.9.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.3-1.fc14
Comment 4 Fedora Update System 2010-09-10 23:40:52 EDT
selinux-policy-3.9.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.